#!/bin/sh

REFLASH_NOR=/mnt/sd1/reflash_nor
PKERNEL=mtd1
ROOTFS=mtd2
BOOTLOADER_DEST=/dev/mtdblock0
PKERNEL_DEST=/dev/mtdblock1
ROOTFS_DEST=/dev/mtdblock2
MEM_SIZE=`cat /proc/cmdline  | cut -d '=' -f3 | cut -d ' ' -f1`
test $MEM_SIZE = "32M" && BOOTLOADER=mtd032
test $MEM_SIZE = "64M" && BOOTLOADER=mtd064

echo "Upgrading Bootloader"
dd "if=$REFLASH_NOR/$BOOTLOADER" "of=$BOOTLOADER_DEST"
echo "Upgrading P-Kernel"
dd "if=$REFLASH_NOR/$PKERNEL" "of=$PKERNEL_DEST"
echo "Upgrading Pminiroot"
dd "if=$REFLASH_NOR/$ROOTFS" "of=$ROOTFS_DEST"
echo "done"
